For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve a single segment

One segment by id — the same resource as a list entry, with its live size. Which campaigns target it: GET /campaign-flows?segmentId=.

get
Authorizations
X-Recart-API-KeystringRequired

It can be obtained in Recart account after contacting Support

Path parameters
idstringRequired

ID of the segment

Responses
200

Ok

application/vnd.api+json
get/segments/{id}
GET /app-integrations/2023-12/segments/{id} HTTP/1.1
Host: api.recart.com
X-Recart-API-Key: YOUR_API_KEY
Accept: */*
{
  "data": {
    "type": "segments",
    "attributes": {
      "id": "64f2a1b2c3d4e5f60718293a",
      "name": "Win-back — no order in 90 days",
      "status": "active",
      "size": 8312,
      "editedAt": "2026-06-02T09:14:00.000Z",
      "createdAt": "2025-11-18T14:02:10.000Z",
      "updatedAt": "2026-09-23T22:00:04.000Z",
      "expression": {
        "and": [
          {
            "or": [
              {
                "slug": "number-of-orders",
                "type": "number",
                "operator": "gt",
                "value": 0
              }
            ]
          },
          {
            "or": [
              {
                "slug": "placed-an-order",
                "type": "boolean",
                "operator": "neq",
                "value": true,
                "dateFilter": {
                  "type": "in-the-last",
                  "daysOffset": 90
                }
              }
            ]
          },
          {
            "or": [
              {
                "slug": "member-of-a-segment",
                "type": "boolean",
                "operator": "neq",
                "values": [
                  {
                    "id": "64f2a1b2c3d4e5f60718293b",
                    "name": "VIP customers"
                  }
                ]
              },
              {
                "slug": "received-a-flow",
                "type": "boolean",
                "operator": "neq",
                "dateFilter": {
                  "type": "in-the-last",
                  "daysOffset": 30
                },
                "subcondition": {
                  "slug": "sequence",
                  "category": "sequence-id",
                  "operator": "eq",
                  "values": [
                    {
                      "id": "6138d0ac2d79e00001210035",
                      "name": "Win-back flow"
                    }
                  ]
                }
              }
            ]
          }
        ]
      },
      "description": "Number of orders is greater than 0 and Has not placed an order in the last 90 days and Is not member of VIP customers or Has not received a flow in the last 30 days flow name is Win-back flow"
    }
  }
}

Last updated

Was this helpful?